namespace Syntriax.Engine.Core;

/// <summary>
/// Represents a <see cref="IBehaviour"/> to be notified before the update phase of the <see cref="IUniverse"/> occurs.
/// </summary>
public interface IPreUpdate : IBehaviour
{
    /// <summary>
    /// Updates the state of the <see cref="IBehaviour"/> before the main update phase happens.
    /// </summary>
    void PreUpdate();
}
